=begin
  extconf.rb

  Copyright (C) 2002,2003 Masao Mutoh <mutoh@highway.ne.jp>
 
  You may redistribute it and/or modify it under the same
  license terms as Ruby.

 $Id: extconf.rb,v 1.4 2003/01/07 14:22:45 mutoh Exp $
=end

require 'mkmf'

if RUBY_PLATFORM =~ /cygwin|mingw|mswin32|bccwin32/
	have_header 'windows.h'
else
	have_func 'setlocale'
	have_func 'nl_langinfo'
end
create_makefile '_locale'
